GitHub 연결을 찾을 수 없음
API는 이 문제가 발생하면 404 Not Found 응답을 반환합니다. 이 응답의 type는 https://lingo.dev/docs/api/errors/github-connection-not-found입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참조하세요.
이 조직에서 GitHub 연결 <id>를 찾을 수 없습니다. 해당 연결이 존재하지 않거나, 다른 조직에 속해 있거나, GitHub App 연결이 아닙니다. 이 조직의 연동 목록에서 해당 식별자를 확인하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
예시#
json
{
"detail": "Cannot find GitHub connection <id> in this organization. It does not exist, belongs to another organization, or is not a GitHub App connection. Check the id against this organization's integrations.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/github-connection-not-found",
"status": 404,
"title": "GitHub connection not found"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history